[lfs-dev] linux-3.4 needs patch to build

Fernando de Oliveira famobr at yahoo.com.br
Wed May 30 04:50:53 PDT 2012


On 29-05-2012 21:04, Fernando de Oliveira wrote:

[...]
 
> Yes, I do have it enabled in all 5 machines. [...] I will try to
> find differences and similarities between them.

LFS6.5, 6.7, 6.8, 7.0 and 7.1. Some are svn versions after the
respective version.

Problem appeared building kernel 3.4.0 in 6.8.

As promissed, I have tried to understand the differences between the
machines, and always there is something common between LFS6.8 and it
shares always something in common with at least one of the others,
except libc:

# ldd --version
ldd (GNU libc) 2.13

Versions for the others are different.

Tested: kernel config-3.4.0 (null diff to the one in LFS7.0), gcc, make,
libtool and autoconf.

No idea what could be further tested.

Incidentally, I do a weekly (sometimes missed) software update in
virtual machines. Today, three of them and two caught my attention:

fernando at VMWArch ~ $ uname -a
Linux VMWArch 3.3.7-1-ARCH #1 SMP PREEMPT Mon May 21 22:39:59 UTC 2012 i686 GNU/Linux

[ fernando at VMWFedoraNG ~ ]$ uname -a
Linux VMWFedoraNG 3.3.7-1.fc16.i686 #1 SMP Tue May 22 14:14:30 UTC 2012 i686 i686 i386 GNU/Linux

[fernando at VMWMageia ~]$ uname -a
Linux VMWMageia 3.3.6-desktop-2.mga2 #1 SMP Thu May 17 16:49:59 UTC 2012 i686 i686 i386 GNU/Linux

Mageia's kernel had been updated last week.

Kernels in Arch and Fedora were updated today. Notice the dates they
have been built.

-- 
[]s,
Fernando




More information about the lfs-dev mailing list